import { Injector } from '@angular/core';
import { GetRecoveryTokenOptions, Platform, SelectorService } from 'tabby-core';
import { BaseTerminalTabComponent } from 'tabby-terminal';
import { SerialSession, SerialProfile } from '../api';
/** @hidden */
export declare class SerialTabComponent extends BaseTerminalTabComponent {
    private selector;
    profile?: SerialProfile;
    session: SerialSession | null;
    serialPort: any;
    Platform: typeof Platform;
    constructor(injector: Injector, selector: SelectorService);
    ngOnInit(): void;
    initializeSession(): Promise<void>;
    protected attachSessionHandlers(): void;
    getRecoveryToken(options?: GetRecoveryTokenOptions): Promise<any>;
    reconnect(): Promise<void>;
    changeBaudRate(): Promise<void>;
}
